%define _unpackaged_files_terminate_build 1
%define pypi_name pyproject-metadata
%define mod_name pyproject_metadata

%def_with check

Name: python3-module-%pypi_name
Version: 0.8.0
Release: alt1
Summary: PEP 621 metadata parsing
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pyproject-metadata
VCS: https://github.com/pypa/pyproject-metadata
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
This project does not implement the parsing of pyproject.toml containing PEP 621
metadata.

Instead, given a Python data structure representing PEP 621 metadata (already
parsed), it will validate this input and generate a PEP 643-compliant metadata
file (e.g. PKG-INFO).

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra tests/

%files
%doc README.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}

%changelog
* Thu Apr 18 2024 Stanislav Levin <slev@altlinux.org> 0.8.0-alt1
- 0.7.1 -> 0.8.0.

* Fri Feb 10 2023 Stanislav Levin <slev@altlinux.org> 0.7.1-alt1
- Initial build for Sisyphus.
